Bug 1480563 - API doc for virt-who config results not found
API doc for virt-who config results not found
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Marek Hulan
Nikhil Kathole
: Triaged
: 1500277 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 07:56 EDT by Nikhil Kathole
Modified: 2018-02-21 12:09 EST (History)
10 users (show)

See Also:
Fixed In Version: foreman_virt_who_configure-0.1.8-2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:09:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
API doc for virt-who config (68.09 KB, image/png)
2017-12-07 01:21 EST, Nikhil Kathole
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21455 None None None 2017-10-25 08:27 EDT

  None (edit)
Description Nikhil Kathole 2017-08-11 07:56:57 EDT
Description of problem:
We were trying to access API documentation for virt-who configuration and its sub commands, but didn't found found .


Version-Release number of selected component (if applicable): sat 6.3 snap 10


How reproducible: always 


Steps to Reproduce:
1. Navigate to https://$HOST/apidoc/v2
2. Search for virt-who configs.

Actual results:
API documentation link for virt-who configs https://$HOST/apidoc/v2/configs /index.html and its sub commands not found.


Expected results:
API documentation link for virt-who configs https://$HOST/apidoc/v2/configs /index.html and its sub commands should show results. 

Additional info:
Comment 1 Daniel Lobato Garcia 2017-08-23 11:44:57 EDT
On a 6.3 instance, snap 12, I see the following on 

"configs": {

    "List of virt-who configurations": "/foreman_virt_who_configure/api/configs",
    "Show a virt-who configuration": "/foreman_virt_who_configure/api/configs/:id",
    "Renders a deploy script for the specified virt-who configuration": "/foreman_virt_who_configure/api/configs/:id/deploy_script",
    "Create a virt-who configuration": "/foreman_virt_who_configure/api/configs",
    "Update a virt-who configuration": "/foreman_virt_who_configure/api/configs/:id",
    "Delete a virt-who configuration": "/foreman_virt_who_configure/api/configs/:id"

},

Is that what you're looking for? Setting this to failed triage for the moment..
Comment 3 Nikhil Kathole 2017-08-23 12:17:39 EDT
(In reply to Daniel Lobato Garcia from comment #1)
> On a 6.3 instance, snap 12, I see the following on 
> 
> "configs": {
> 
>     "List of virt-who configurations":
> "/foreman_virt_who_configure/api/configs",
>     "Show a virt-who configuration":
> "/foreman_virt_who_configure/api/configs/:id",
>     "Renders a deploy script for the specified virt-who configuration":
> "/foreman_virt_who_configure/api/configs/:id/deploy_script",
>     "Create a virt-who configuration":
> "/foreman_virt_who_configure/api/configs",
>     "Update a virt-who configuration":
> "/foreman_virt_who_configure/api/configs/:id",
>     "Delete a virt-who configuration":
> "/foreman_virt_who_configure/api/configs/:id"
> 
> },
> 
> Is that what you're looking for? Setting this to failed triage for the
> moment..

Hi,

Yeah, you are correct. But when tried to look for info regarding each option, is not found. Issue is about doc regarding create, update, delete which is available for all other features. for ex :

Doc for create virt-who configuration returns no result.

curl -s -X GET -k -u admin:<password>  'https://$HOST/apidoc/v2/configs/update.html'
Comment 4 Marek Hulan 2017-09-25 08:09:30 EDT
As a simple workaround, run

> foreman-rake apipie:cache
Comment 5 Marek Hulan 2017-09-25 08:09:43 EDT
*** Bug 1479900 has been marked as a duplicate of this bug. ***
Comment 6 Djebran Lezzoum 2017-10-10 07:41:35 EDT
*** Bug 1500277 has been marked as a duplicate of this bug. ***
Comment 7 Martin Bacovsky 2017-10-15 17:08:35 EDT
The apipie cache needs to be pre-built during package build. I'll fix the packaging.
Comment 8 Marek Hulan 2017-10-25 08:27:05 EDT
Created redmine issue http://projects.theforeman.org/issues/21455 from this bug
Comment 9 pm-sat@redhat.com 2017-10-26 04:01:55 EDT
Upstream bug assigned to mhulan@redhat.com
Comment 10 pm-sat@redhat.com 2017-10-26 04:01:59 EDT
Upstream bug assigned to mhulan@redhat.com
Comment 11 Marek Hulan 2017-11-17 14:16:01 EST
This has been delivered in foreman_virt_who_configure-0.1.8-2 which did not make it into beta build since the upstream issue was not auto-closed after merge.
Comment 12 Nikhil Kathole 2017-12-07 01:20:59 EST
VERIFIED

Version Tested:
Satellite-6.3 Snap 27

Found API docs available for virt-who config and its sub-commands.
Comment 13 Nikhil Kathole 2017-12-07 01:21 EST
Created attachment 1364052 [details]
API doc for virt-who config
Comment 14 Bryan Kearney 2018-02-21 12:09:07 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.